Dell XPS 13 9360 bluetooth scan can not detect any device

Bug #1759821 reported by Taihsiang Ho on 2018-03-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Joseph Salisbury
Xenial
High
Joseph Salisbury

Bug Description

== SRU Justification ==
This bug currently exists in the 4.4.0-118 -proposed kernel. Due to this
bug, a Dell XPS 13 9360 bluetooth scan can not detect any devices.

This regression was caused by mainline commit fd865802c6. This commit was reverted
in mainline by the requested commit, 7d06d5895c15. This commit was already
reverted in upstream stable 4.4.116 by commit: 356c942. However, Xenial -proposed only
has up to the 4.4.114 stable updates. This regression has been in the 4.4 kernel
since 4.4.110(Ubuntu 4.4.0-117).

== Fix ==
7d06d5895c15 ("Revert "Bluetooth: btusb: fix QCA Rome suspend/resume"")

== Regression Potential ==
Low. This revert was also cc'd to upstream stable and is in the upstream 4.4.y
kernel. This revert should happen to prevent a regression from moving to -updates
from -proposed.

== Test Case ==
A test kernel was built with this patch and tested by the original bug reporter.
The bug reporter states the test kernel resolved the bug.

Dell XPS 13 9360
(CID 201606-22355)

Image: OEM pre-installed image
Kernel: 4.4.0-117-generic #141-Ubuntu SMP Tue Mar 13 11:58:07 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Click the bluetooth applet and try to add bt devices. The long scanning (> 5 mins) gets nothing.

Reproducing rate: 100%

[More Information]

ubuntu@201606-22355:~$ lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation Device [8086:5904] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation Device [8086:5916] (rev 02)
00:04.0 Signal processing controller [1180]: Intel Corporation Skylake Processor Thermal Subsystem [8086:1903] (rev 02)
00:14.0 USB controller [0c03]: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller [8086:9d2f] (rev 21)
00:14.2 Signal processing controller [1180]: Intel Corporation Sunrise Point-LP Thermal subsystem [8086:9d31] (rev 21)
00:15.0 Signal processing controller [1180]: Intel Corporation Sunrise Point-LP Serial IO I2C Controller [8086:9d60] (rev 21)
00:15.1 Signal processing controller [1180]: Intel Corporation Sunrise Point-LP Serial IO I2C Controller [8086:9d61] (rev 21)
00:16.0 Communication controller [0780]: Intel Corporation Sunrise Point-LP CSME HECI [8086:9d3a] (rev 21)
00:1c.0 PCI bridge [0604]: Intel Corporation Device [8086:9d10] (rev f1)
00:1c.4 PCI bridge [0604]: Intel Corporation Sunrise Point-LP PCI Express Root Port [8086:9d14] (rev f1)
00:1c.5 PCI bridge [0604]: Intel Corporation Sunrise Point-LP PCI Express Root Port [8086:9d15] (rev f1)
00:1d.0 PCI bridge [0604]: Intel Corporation Device [8086:9d18] (rev f1)
00:1f.0 ISA bridge [0601]: Intel Corporation Device [8086:9d58] (rev 21)
00:1f.2 Memory controller [0580]: Intel Corporation Sunrise Point-LP PMC [8086:9d21] (rev 21)
00:1f.3 Audio device [0403]: Intel Corporation Device [8086:9d71] (rev 21)
00:1f.4 SMBus [0c05]: Intel Corporation Sunrise Point-LP SMBus [8086:9d23] (rev 21)
3a:00.0 Network controller [0280]: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter [168c:003e] (rev 32)
3b:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS525A PCI Express Card Reader [10ec:525a] (rev 01)
3c:00.0 Non-Volatile memory controller [0108]: Samsung Electronics Co Ltd NVMe SSD Controller [144d:a802] (rev 01)
ubuntu@201606-22355:~$ rfkill list
0: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
1: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no
ubuntu@201606-22355:~$

So far this issue affects the following machines at least:
  - Dell XPS 13 9360 (CID 201606-22338)
  - Dell XPS 13 9360 (CID 201606-22355)
  - Dell Precision 5520 (201610-25144)
  - Dell Inspiron 7560 (201606-22349)

-------------------------------------------------

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-117-generic 4.4.0-117.141
ProcVersionSignature: Ubuntu 4.4.0-117.141-generic 4.4.114
Uname: Linux 4.4.0-117-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.15
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1723 F.... pulseaudio
Date: Thu Mar 29 18:39:27 2018
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-xenial-amd64-20160624-2
HibernationDevice: RESUME=UUID=e30b2dfe-7ba1-4cde-876a-928e9bbb077b
InstallationDate: Installed on 2018-03-23 (6 days ago)
InstallationMedia: Ubuntu 16.04 "Xenial" - Build amd64 LIVE Binary 20160624-10:47
MachineType: Dell Inc. XPS 13 9360
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-117-generic.efi.signed root=UUID=488684c8-a47f-46bc-b84d-ad4bff229ccd ro automatic-oem-config quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-117-generic N/A
 linux-backports-modules-4.4.0-117-generic N/A
 linux-firmware 1.157.17
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/21/2017
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 2.4.2
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr2.4.2:bd11/21/2017:svnDellInc.:pnXPS139360:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct9:cvr:
dmi.product.name: XPS 13 9360
dmi.sys.vendor: Dell Inc.

Taihsiang Ho (taihsiangho) wrote :
description: updated

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Kai-Heng Feng (kaihengfeng) wrote :

If that commit introduces the regression, it's already handled in latest linux-stable upstream.

Changed in linux (Ubuntu Xenial):
status: New → Triaged
Changed in linux (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
Changed in linux (Ubuntu Xenial):
importance: Undecided → High
Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Xenial):
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

Like Kai says, that commit is reverted in upstream stable 4.4 by commit:
356c942 Revert "Bluetooth: btusb: fix QCA Rome suspend/resume"

That commit is in upstream as of 4.4.116.

Can you give that kernel a test and see if it resolves this bug? It can be downloaded from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4.116/

Changed in linux (Ubuntu Xenial):
status: Triaged → In Progress
Changed in linux (Ubuntu):
status: Triaged → In Progress
description: updated
Joseph Salisbury (jsalisbury) wrote :

Thanks for testing!

I built a Xenial test kernel with a pick of mainline commit 7d06d5895c.

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1759821

Can you test this kernel and see if it resolves this bug?

Note, to test this kernel, you need to install both the linux-image and linux-image-extra .deb packages.

If we confirm this commit is the fix, I'll submit a Xenial SRU request.

Thanks in advance!

Taihsiang Ho (taihsiangho) wrote :

Test the kernel of comment#5 with Dell Inspiron 7560 (CID 201606-22349):
  - The kernel fixes the issue. It could not reproduce the issue.
  - No regression was found.

The result is here https://certification.canonical.com/hardware/201606-22349/submission/128876/

I am applying the kernels to more platform to see if it fixes this issue on the other affected platforms. I will update the report soon (in 3 hours).

Joseph Salisbury (jsalisbury) wrote :
description: updated
Taihsiang Ho (taihsiangho) wrote :

Test the kernel of comment#5 with Dell XPS 13 9360 (CID 201606-22338):
  - The kernel fixes the issue. It could not reproduce the issue.
  - No regression was found.

The result is here

https://certification.canonical.com/hardware/201606-22338/submission/128887/

Still waiting for the other test reports on the other platforms.

Taihsiang Ho (taihsiangho) wrote :

Test the kernel of comment#5 with Dell Precision 5520 (CID 201610-25144):
  - The kernel fixes the issue. It could not reproduce the issue.
  - No regression was found.

The result is here

https://certification.canonical.com/hardware/201610-25144/submission/128889/

Taihsiang Ho (taihsiangho) wrote :

Test the kernel of comment#5 with Dell XPS 13 9360 (CID 201606-22355):
  - The kernel fixes the issue. It could not reproduce the issue.
  - No regression was found.

The result is here

https://certification.canonical.com/hardware/201606-22355/submission/128903/

All known system reported in this bug report were tested so far.

Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (56.9 KiB)

This bug was fixed in the package linux - 4.4.0-119.143

---------------
linux (4.4.0-119.143) xenial; urgency=medium

  * linux: 4.4.0-119.143 -proposed tracker (LP: #1760327)

  * Dell XPS 13 9360 bluetooth scan can not detect any device (LP: #1759821)
    - Revert "Bluetooth: btusb: fix QCA Rome suspend/resume"

linux (4.4.0-118.142) xenial; urgency=medium

  * linux: 4.4.0-118.142 -proposed tracker (LP: #1759607)

  * Kernel panic with AWS 4.4.0-1053 / 4.4.0-1015 (Trusty) (LP: #1758869)
    - x86/microcode/AMD: Do not load when running on a hypervisor

  * CVE-2018-8043
    - net: phy: mdio-bcm-unimac: fix potential NULL dereference in
      unimac_mdio_probe()

linux (4.4.0-117.141) xenial; urgency=medium

  * linux: 4.4.0-117.141 -proposed tracker (LP: #1755208)

  * Xenial update to 4.4.114 stable release (LP: #1754592)
    - x86/asm/32: Make sync_core() handle missing CPUID on all 32-bit kernels
    - usbip: prevent vhci_hcd driver from leaking a socket pointer address
    - usbip: Fix implicit fallthrough warning
    - usbip: Fix potential format overflow in userspace tools
    - x86/microcode/intel: Fix BDW late-loading revision check
    - x86/retpoline: Fill RSB on context switch for affected CPUs
    - sched/deadline: Use the revised wakeup rule for suspending constrained dl
      tasks
    - can: af_can: can_rcv(): replace WARN_ONCE by pr_warn_once
    - can: af_can: canfd_rcv(): replace WARN_ONCE by pr_warn_once
    - PM / sleep: declare __tracedata symbols as char[] rather than char
    - time: Avoid undefined behaviour in ktime_add_safe()
    - timers: Plug locking race vs. timer migration
    - Prevent timer value 0 for MWAITX
    - drivers: base: cacheinfo: fix x86 with CONFIG_OF enabled
    - drivers: base: cacheinfo: fix boot error message when acpi is enabled
    - PCI: layerscape: Add "fsl,ls2085a-pcie" compatible ID
    - PCI: layerscape: Fix MSG TLP drop setting
    - mmc: sdhci-of-esdhc: add/remove some quirks according to vendor version
    - fs/select: add vmalloc fallback for select(2)
    - hwpoison, memcg: forcibly uncharge LRU pages
    - cma: fix calculation of aligned offset
    - mm, page_alloc: fix potential false positive in __zone_watermark_ok
    - ipc: msg, make msgrcv work with LONG_MIN
    - x86/ioapic: Fix incorrect pointers in ioapic_setup_resources()
    - ACPI / processor: Avoid reserving IO regions too early
    - ACPI / scan: Prefer devices without _HID/_CID for _ADR matching
    - ACPICA: Namespace: fix operand cache leak
    - netfilter: x_tables: speed up jump target validation
    - netfilter: arp_tables: fix invoking 32bit "iptable -P INPUT ACCEPT" failed
      in 64bit kernel
    - netfilter: nf_dup_ipv6: set again FLOWI_FLAG_KNOWN_NH at flowi6_flags
    - netfilter: nf_ct_expect: remove the redundant slash when policy name is
      empty
    - netfilter: nfnetlink_queue: reject verdict request from different portid
    - netfilter: restart search if moved to other chain
    - netfilter: nf_conntrack_sip: extend request line validation
    - netfilter: use fwmark_reflect in nf_send_reset
    - ext2: Don't clear SGID when inheriting ACLs
    - reiserfs: fix race in prealloc discard
    - re...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Po-Hsu Lin (cypressyew) wrote :

I think the bug status for this is "Fix released" now.

Changed in linux (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers